package routes

import (
	"net/http"

	"git.trj.tw/golang/go-ddns-svc/module/context"
	"git.trj.tw/golang/go-ddns-svc/route/api"
	"github.com/gin-gonic/gin"
)

var e *gin.Engine

// NewEngine -
func NewEngine() *gin.Engine {
	e = gin.New()
	e.Use(gin.Logger())
	e.Use(gin.Recovery())
	return e
}

// SetRoutes -
func SetRoutes() {
	e.GET("/", func(c *gin.Context) {
		c.String(http.StatusOK, "OK")
	})

	apiGroup := e.Group("/api", context.PatchCtx(api.VerifyPrivate))
	{
		apiGroup.POST("/ddns", context.PatchCtx(api.UpdateDDNS))
	}
}
